Bug 822463 - [RHEVM] [backend] wrong capitalization of MAC in error message
[RHEVM] [backend] wrong capitalization of MAC in error message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Shahar Havivi
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 08:40 EDT by Martin Pavlik
Modified: 2016-02-10 14:57 EST (History)
7 users (show)

See Also:
Fixed In Version: si9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error message (129.17 KB, image/png)
2012-05-17 08:41 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-05-17 08:40:32 EDT
Description of problem:
When user tries to assigns duplicate MAC address to NIC, Following error message appears:

Mac Address is already in use.

MAC should be in capital letter so it matches with the rest of rhevm environment (see screenshot, there is 3 occurrence of MAC) 


Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-9.el6ev 

How reproducible:


Steps to Reproduce:
1. Assign NIC to VM with custom MAC address
2. Try to assign second NIC with same NIC to the VM
  
Actual results:
Mac Address is already in use.

Expected results:
MAC Address is already in use.

Additional info:
This case assumes that AllowDuplicateMacAddresses=false in rhevm database
Comment 1 Martin Pavlik 2012-05-17 08:41:11 EDT
Created attachment 585208 [details]
screenshot of error message
Comment 2 Martin Pavlik 2012-05-17 08:59:04 EDT
message from engine.log


2012-05-17 14:58:17,679 WARN  [org.ovirt.engine.core.bll.AddVmInterfaceCommand] (ajp--0.0.0.0-8009-8) [1fec0a82] CanDoAction of action AddVmInterface failed. Reasons:VAR__ACTION__ADD,VAR__TYPE__INTERFACE,NETWORK_MAC_ADDRESS_IN_USE
Comment 3 Shahar Havivi 2012-06-24 08:12:27 EDT
patch posted at: http://gerrit.ovirt.org/#/c/5642/

Note You need to log in before you can comment on or make changes to this bug.